| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # DOMNotation Class Reference This interface represents a notation declared in the DTD. More... Inheritance diagram for DOMNotation: [legend] List of all members.
## Public Member Functions
Destructor
virtual | ~DOMNotation ()
| Destructor.
Functions introduced in DOM Level 1
virtual const XMLCh * | getPublicId () const =0
| Get the public identifier of this notation.
virtual const XMLCh * | getSystemId () const =0
| Get the system identifier of this notation.
## Protected Member Functions
Hidden constructors
| DOMNotation ()
| DOMNotation (const DOMNotation &other)
## Detailed Description This interface represents a notation declared in the DTD. A notation either declares, by name, the format of an unparsed entity (see section 4.7 of the XML 1.0 specification), or is used for formal declaration of Processing Instruction targets (see section 2.6 of the XML 1.0 specification). The `nodeName` attribute inherited from `DOMNode` is set to the declared name of the notation. The DOM Level 1 does not support editing `DOMNotation` nodes; they are therefore readonly. A `DOMNotation` node does not have any parent. Since: DOM Level 1 ## Constructor & Destructor Documentation
DOMNotation::DOMNotation | ( |  | ) | `[protected]`
DOMNotation::DOMNotation | ( | const DOMNotation & | other | ) | `[protected]`
virtual DOMNotation::~DOMNotation | ( |  | ) | `[virtual]`
Destructor. ## Member Function Documentation
virtual const XMLCh* DOMNotation::getPublicId | ( |  | ) | const`[pure virtual]`
Get the public identifier of this notation. If the public identifier was not specified, this is `null`. Returns: Returns the public identifier of the notation Since: DOM Level 1
virtual const XMLCh* DOMNotation::getSystemId | ( |  | ) | const`[pure virtual]`
Get the system identifier of this notation. If the system identifier was not specified, this is `null`. Returns: Returns the system identifier of the notation Since: DOM Level 1 The documentation for this class was generated from the following file: DOMNotation.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.